Name:           openstack-puppet-modules
Version:        2015.1.8
Release:        21%{?dist}
Summary:        Collection of Puppet modules for OpenStack deployment
License:        ASL 2.0 and GPLv2 and GPLv3

URL:            https://github.com/redhat-openstack

Source0:        https://github.com/redhat-openstack/%{name}/archive/%{version}.tar.gz

Patch0001: 0001-Explicitly-say-that-ovs_redhat-parent-is-ovs.patch
Patch0002: 0002-Fix-support-for-puppet-4.patch
Patch0003: 0003-Rabbitmq-set-repos_ensure-to-false.patch
Patch0004: 0004-Revert-access-out-of-scope-variables-via-the-scope.l.patch
Patch0005: 0005-Fix-Heat-302-redirects.patch
Patch0006: 0006-Support-setting-instance_user-to-an-empty-string.patch
Patch0007: 0007-Expose-RPC-response-timeout-as-a-puppet-parameter.patch
Patch0008: 0008-horizon-Change-default-documentation-URL.patch
Patch0009: 0009-Remove-mode-tcp-enforcement-where-unneeded-we-defaul.patch
Patch0010: 0010-Add-missing-options-to-Ceilometer-Ironic-Horizon.patch
Patch0011: 0011-Creation-of-neutron-db-sync.patch
Patch0012: 0012-Run-neutron-db-sync-also-for-each-neutron-module.patch
Patch0013: 0013-Listener-options-for-Ironic-ceilometer-glance_regist.patch
Patch0014: 0014-Update-n1k_vsm-to-7b57af350fdb25830e0136658324f9c51e.patch
Patch0015: 0015-Configure-Big-Switch-ML2-plugin.patch
Patch0016: 0016-Add-pacemaker-integration-code-into-VSM-puppetry.patch
Patch0017: 0017-Automatic-update.patch
Patch0018: 0018-N1Kv-Adding-nexus1000v-puppet-class.patch
Patch0019: 0019-ml2-Fix-typo-with-ml2_srvio-supported_pci_vendor_dev.patch
Patch0020: 0020-Update-Cisco-ML2-classes-and-templates.patch
Patch0021: 0021-Support-setting-pacemaker-resource-defaults.patch
Patch0022: 0022-Add-support-for-swift-object-expirer-service.patch
Patch0023: 0023-Remove-httpchk-option-from-haproxy-listeners.patch
Patch0024: 0024-loadbalancer-use-http-mode-for-Horizon-haproxy-confi.patch
Patch0025: 0025-loadbalancer-use-source-for-novnc-balance-mode.patch
Patch0026: 0026-Add-package_manifest-resource.patch
Patch0027: 0027-Add-tripleo-packages.patch
Patch0028: 0028-Remove-use-of-template-based-config-from-cisco-ml2-n.patch
Patch0029: 0029-Set-ensure-present-for-nexus-1000v-iso-package.patch
Patch0030: 0030-Automatically-install-packages-when-upgrading.patch

BuildArch:      noarch
Requires:       rubygem-json

%description
A collection of Puppet modules which are required to install and configure
OpenStack via installers using Puppet configuration tool.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1

# remove patch cruft from patch0002 due to line offsets
rm -f trove/manifests/init.pp.orig

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm -rf {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf


%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp -r $(grep ^mod Puppetfile |cut -d\' -f2) %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp Puppetfile %{buildroot}/%{_datadir}/openstack-puppet/Puppetfile
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init


%files
%{_datadir}/openstack-puppet
%{_datadir}/openstack-puppet/modules
%{_datadir}/openstack-puppet/modules/*
%{_datadir}/openstack-puppet/Puppetfile


%changelog
* Wed Sep 30 2015 Mike Burns <mburns@redhat.com> 2015.1.8-21
- update patch for installing packages when upgrading (rhbz#1264203)

* Fri Sep 28 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-20
- Add 0030-Automatically-install-packages-when-upgrading.patch (rhbz#1264203)
- Fix spec file removal of build directories

* Fri Sep 25 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-19
- Add 0029-Set-ensure-present-for-nexus-1000v-iso-package.patch (rhbz#1265389)
- Remove 0029-Change-latest-to-present-in-n1k_vsm.patch

* Thu Sep 24 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-18
- Change latest to present in n1k_vsm (rhbz#1265389)

* Wed Sep 16 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-17
- Added 0028-Remove-use-of-template-based-config-from-cisco-ml2-n.patch

* Fri Sep 11 2015 Martin Mágr <mmagr@redhat.com> 2015.1.8-16
- Added 0027-Add-tripleo-packages.patch (rhbz#1262189)

* Mon Sep 07 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-15
- Add 0026-Add-package_manifest-resource.patch

* Fri Sep 04 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-14
- loadbalancer: use 'source' for novnc balance mode
- loadbalancer: use http mode for Horizon haproxy config
- Remove httpchk option from haproxy listeners
- Add support for swift-object-expirer service
- Support setting pacemaker resource defaults
- Update Cisco ML2 classes and templates
- ml2: Fix typo with ml2_srvio/supported_pci_vendor_devs param.

* Fri Aug 28 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-13
- Add 0018-Automatic-update.patch (rhbz#1240587)

* Thu Aug 27 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-12
- Add pacemaker integration code into VSM puppetry

* Thu Aug 27 2015 Javier Peña <jpena@redhat.com> 2015.1.8-11
- Make OPM package own its directories (rhbz#1163363)

* Wed Aug 26 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-10
- Configure Big Switch ML2 plugin (rhbz#1257175)
- Update n1k_vsm to 7b57af350fdb25830e0136658324f9c51e49657f (rhbz#1248222, rhbz#1249765)

* Wed Aug 05 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-9
- Add 0014-Update-Cisco-ML2-classes-and-templates.patch (rhbz#1244305)

* Tue Jul 21 2015 Gael Chamoulaud <gchamoul@redhat.com> 2015.1.8-8
- add 0013-Listener-options-for-Ironic-ceilometer-glance_regist.patch
  (rhbz#1236057)

* Tue Jul 16 2015 Iván Chavero <ichavero@redhat.com> 2015.1.8-7
- Add Run neutron db sync also for each neutron module
  (rhbz#1233149, rhbz#1230199, #1474961)

* Tue Jul 14 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-6
- Drop "Run neutron db sync also for each neutron module"

* Tue Jul 14 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.8-5
- Run neutron db sync also for each neutron module
- Creation of neutron::db::sync
- Add missing options to Ceilometer/Ironic/Horizon

* Thu Jul 09 2015 Iván Chavero <ichavero@redhat.com> - 2015.1.8-4
- Add 0006-Support-setting-instance_user-to-an-empty-string.patch (rhbz#1240833)
- Fix eng repo (patches changed ID numbers).

* Wed Jul 08 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-3
- Add 0005-Expose-RPC-response-timeout-as-a-puppet-parameter.patch

* Mon Jul 06 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-2
- Fix Url for Documentation

* Fri Jul 03 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-1
- Update to upstream 2015.1.8
- Remove Unused patches
- Add 0004-Fix-Heat-302-redirects.patch

* Thu Jun 25 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-5
- Deliver fixes for tripleo.
- Introduce param to enable use of clustercheck
- Use mode tcp for glance-registry balancing
- Add $verify_on_create ability for all resources.

* Thu Jun 25 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-4
- Revert "glance provider: pick os_region_name from DEFAULT"
- Fixes error: "/etc/glance/glance-api.conf does not contain all required sections."

* Thu Jun 25 2015 Iván Chavero <ichavero@redhat.com> 2015.1.7-3
- Add 0007-Install-only-required-libvirt-packages.patch

* Wed Jun 24 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-2
- Revert "access out-of-scope variables via the scope.lookupvar method"

* Tue Jun 23 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-1
- Update to upstream 2015.1.7

* Wed Jun 17 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.6-2
- [Rabbitmq] set repos_ensure to false

* Mon Jun 15 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.6-1
- Update to upstream 2015.1.6

* Fri Jun 12 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.5-1
- Update to upstream 2015.1.5

* Thu Jun 11 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.4-1
- Update to upstream 2015.1.4
- Update glance to latest master (rhbz#1230449)

* Thu Jun 04 2015 Jon Schlueter <jschluet@redhat.com> 2015.1.3-3
- remove patch cruft file

* Wed Jun 03 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.3-2
- Fixed patch problem
- Remove: 0003-Deprecate-mysql-server-resource-creation.patch
- Resolves: rhbz#1226405

* Tue Jun 02 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.3-1
- Update to upstream 2015.1.3
- Remove: 0003-Deprecate-mysql-server-resource-creation.patch
- Resolves: rhbz#1226405

* Fri May 15 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.2-1
- Update to upstream 2015.1.2

* Wed May 13 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.1-1
-  Updated to release 2015.1.1

* Mon May 11 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 2015.1.0-2
- Add patch to fix TripleO support

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 2015.1.0-1
- OpenStack Kilo release
